| Environment | Method | Endpoint |
|---|---|---|
| Sandbox | post | https://apisandbox.braspag.com.br/v2/sales/ |
| Production | post | https://api.braspag.com.br/v2/sales/ |
- Add the
RecurrentPaymentnode to thePaymentnode to schedule future recurrences when authorizing a transaction for the first time in the recurrence series.
- The parameters
Payment.RecurrentPayment.IntervalandPayment.RecurrentPayment.DailyInterval, marked with an "*" in the "REQUIRED" column, must not be used together.
Requisição
post https://apisandbox.braspag.com.br/v2/sales/
{
"MerchantOrderId": "2017051001",
"Customer": {
"Name": "Nome do Comprador",
"Identity": "12345678909",
"IdentityType": "CPF",
"Email": "[email protected]",
"Birthdate": "1991-01-02",
"IpAddress": "127.0.0.1",
"Address": {
"Street": "Alameda Xingu",
"Number": "512",
"Complement": "27 andar",
"ZipCode": "12345987",
"City": "São Paulo",
"State": "SP",
"Country": "BRA",
"District": "Alphaville"
},
"DeliveryAddress": {
"Street": "Alameda Xingu",
"Number": "512",
"Complement": "27 andar",
"ZipCode": "12345987",
"City": "São Paulo",
"State": "SP",
"Country": "BRA",
"District": "Alphaville"
}
},
"Payment": {
"Provider": "Simulado",
"Type": "CreditCard",
"DoSplit": true,
"Amount": 10000,
"Installments": 1,
"CreditCard": {
"CardNumber": "5412217070050381",
"Holder": "Nome do Portador",
"ExpirationDate": "12/2035",
"SecurityCode": "123",
"Brand": "Visa"
},
"RecurrentPayment": {
"AuthorizeNow": "true",
"EndDate": "2030-12-31",
"Interval": "Monthly"
}
},
"SplitPayments": [
{
"SubordinateMerchantId": "b22649a9-1d23-4206-811b-9e45f4cxb951",
"Amount": 5000,
"Fares": {
"Mdr": 5,
"Fee": 30
}
}
]
}Below are the header field properties for this request:
| Property (header) | Type | Size | Required | Description |
|---|---|---|---|---|
MerchantId | Guid | 36 | Yes | Merchant identifier in Split de Pagamento |
MerchantKey | Text | 40 | Yes | Public key for Dual Authentication in Split de Pagamento |
Content-Type | Header | 40 | Yes | Application/json |
RequestId | Guid | 36 | No | Request identifier defined by the merchant, used when the merchant uses different servers for each GET/POST/PUT request. |
| Property (body) | Description | Type | Size | Required |
|---|---|---|---|---|
Payment.Provider | Payment method provider name. | Text | 15 | Yes |
Payment.Type | Payment method. | Text | 100 | Yes |
Payment.DoSplit | Indicates whether the transaction will be split among multiple participants Possible values: true / false | Boolean | -- | Yes |
Payment.SplitPayments.SubordinateMerchantId | MerchantId (identifier) of the seller. | Text | 36 | No |
Payment.SplitPayments.Amount | Net amount of the seller's share in the transaction, in cents. *The fee discount will be calculated by the Split.* | Number | -- | No |
Payment.SplitPayments.Fares.Mdr | Master MDR (%) to be deducted from the amount related to the seller's share. Type: decimal. | Text | -- | No |
Payment.SplitPayments.Fares.Fee | Fixed Fee (R$) to be deducted from the amount related to the seller's share, in cents. | Number | -- | No |
Payment.Amount | Order amount, in cents. | Number | 15 | Yes |
Payment.Installments | Number of installments. Recurrence allows only one installment. Possible values: 01 or 1. | Number | 2 | Yes |
Payment.RecurrentPayment.EndDate | End date for the recurrence. | Text | 10 | No |
Payment.RecurrentPayment.Interval | Recurrence interval. Do not use together with DailyInterval.Monthly (default) / Bimonthly / Quarterly / SemiAnnual / Annual | Text | 10 | No* |
Payment.RecurrentPayment.DailyInterval | Recurrence pattern in days. Do not use together with Interval. | Number | 2 | No* |
Payment.RecurrentPayment.AuthorizeNow | "true" – authorizes at the time of the request. "false" – for future scheduling. | Boolean | Yes | |
CreditCard.CardNumber | Shopper's card number. | Text | 16 | Yes |
CreditCard.Holder | Shopper's name printed on the card. Note: Field size rules may vary depending on the acquirer. | Text | 25 | Yes |
CreditCard.ExpirationDate | Expiration date printed on the card, in the MM/YYYY format. | Text | 7 | Yes |
CreditCard.SecurityCode | Security code printed on the back of the card. | Text | 4 | Yes |
CreditCard.Brand | Card brand. | Text | 10 | Yes |
Response
{
[...]
"Payment": {
"ServiceTaxAmount": 0,
"Installments": 1,
"Interest": "ByMerchant",
"Capture": true,
"Authenticate": false,
"Recurrent": false,
"CreditCard": {
"CardNumber": "455187******0181",
"Holder": "Nome do Portador",
"ExpirationDate": "12/2021",
"SaveCard": false,
"Brand": "Visa"
},
"ProofOfSale": "5646418",
"AcquirerTransactionId": "0511045646418",
"AuthorizationCode": "100024",
"PaymentId": "067f73ce-62fb-4d76-871d-0bcbb88fbd22",
"Type": "CreditCard",
"Amount": 10000,
"ReceivedDate": "2017-05-11 16:56:46",
"Currency": "BRL",
"Country": "BRA",
"Provider": "Simulado",
"ReasonCode": 0,
"ReasonMessage": "Successful",
"Status": 1,
"ProviderReturnCode": "4",
"ProviderReturnMessage": "Operation Successful",
"RecurrentPayment": {
"RecurrentPaymentId": "808d3631-47ca-43b4-97f5-bd29ab06c271",
"ReasonCode": 0,
"ReasonMessage": "Successful",
"NextRecurrency": "2017-06-11",
"EndDate": "2019-12-31",
"Interval": "Monthly",
[...]
}
}
}| Property | Description | Type | Size | Format |
|---|---|---|---|---|
RecurrentPaymentId | ID that represents the recurrence, used for future queries and updates. | GUID | 36 | xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx |
NextRecurrency | Date when the next recurrence will occur. | Text | 10 | 2019-12-11 (YYYY-MM-DD) |
EndDate | End date of the recurrence. | Text | 10 | 2019-12-31 (YYYY-MM-DD) |
Interval | Interval between recurrences. | Text | 10 | Monthly / Bimonthly / Quarterly / SemiAnnual / Annual |
AuthorizeNow | Defines whether the first recurrence will be authorized immediately or not. | Boolean | *** | "true" or "false" |